#ifndef DOWNLOADHISTORYELEMENT_H
#define DOWNLOADHISTORYELEMENT_H

#include <QWidget>
#include <filedownloadertask.h>

namespace Ui {
class DownloadHistoryElement;
}

class DownloadHistoryElement : public QWidget
{
    Q_OBJECT

public:
    explicit DownloadHistoryElement(FileDownloaderTask* task, QWidget *parent = 0);
    ~DownloadHistoryElement();

public slots:
    void updateProgress(int percent);
protected:
    void changeEvent(QEvent *e);

private:
    Ui::DownloadHistoryElement *ui;
    FileDownloaderTask* associatedTask;
};

#endif // DOWNLOADHISTORYELEMENT_H
